{ pkgs, config, ...}:

{
  imports = [
    # ./jelly-mount.nix
    # Server component is container based
    ../../oci/jelly.nix

    # Load local network DNS resolution
    ../private/jellyfin.nix
  ];
  services.caddy.virtualHosts = {
    "jelly.syzygial.cc" = {
      serverAliases = [
        "jelly.crompton.cc"
      ];
	    extraConfig = ''
        reverse_proxy 127.0.0.1:8096
      '';
    };
    "add.jelly.crompton.cc" = {
      serverAliases = [
       #  "add.jelly.syzygial.cc"
      ];
	    extraConfig = ''
        reverse_proxy 127.0.0.1:5055
      '';         
    };
  };
}
